import { Signal } from '@angular/core';
import { AbstractStore } from './abstract-store';
import { Store } from './store';
export declare function buildChild(parent: Store<any>, childKey: keyof any): ChildStore<any>;
export declare class ChildStore<T> extends AbstractStore<T> {
    private parent;
    private key;
    constructor(parent: Store<any>, key: keyof any, signal: Signal<T>);
    protected set(value: T): void;
}
